Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSFeatureStatusParameters Class Reference

The associated parameters for a specific feature status. More...

`#import <CSFeatureStatusParameters.h>`

Inherits NSObject, and <NSCoding>.

## Instance Methods
(instancetype) | - initWithFeatureButtonLocation:featureType:status:ownerExtension:destination:destinationShortForm:featureLabel:destinationExtensionEditable:enhancedCallForwardingStatus:callPickupFeatureStatus:huntGroupNumber:featureLabelEditable:featureMode:
| Constructs an CSFeatureStatusParameters object from the specified parameters. More...

## Properties
NSInteger | buttonLocation
| This is the location of the feature button as configured on the server. More...
CSFeatureType | featureType
| The feature type associated with this status. More...
CSFeatureStatus | status
| The feature's status. More...
NSString * | ownerExtension
| The owner extension this feature status is targeted for. More...
NSString * | destination
| The destination extension associated with this feature. More...
NSString * | destinationShortForm
| This field will be populated only when received from the server. More...
NSString * | destinationLabel
| This is the location of the feature button as configured on SMGR. More...
NSString * | featureLabel
| This is the label associated with the feature. More...
BOOL | isDestinationExtensionEditable
| This is the flag which indicates whether the destinationExtension can be edited or not by the user. More...
NSInteger | huntGroupNumber
| This field gives the Hunt Group Number populated with value of "avaya-cm-group" parameter if present in feature status notify for hunt-group-busy-position feature. More...
CSEnhancedCallForwardingStatus * | enhancedCallForwardingStatus
| The Enhanced Call Forward status for the user's local extension, if any. More...
CSCallPickupAlertParameters * | callPickupFeatureStatus
| For enhanced Call pickup alert, addiational ringer type, ringer pattern and caller and callee details. More...
BOOL | featureLabelEditable
| This is the flag which indicates whether the feature label can be edited or not by the user. More...
CSFeatureMode | featureMode
| The feature mode associated with this status. More...

## Detailed Description

The associated parameters for a specific feature status.

This is a union of the parameters that can be present in the status for any supported feature. The caller should know which parameters to expect for a specific feature (some required, some optional).

## Method Documentation

- (instancetype) initWithFeatureButtonLocation: |  | (NSInteger) | buttonLocation
featureType: |  | (CSFeatureType) | featureType
status: |  | (CSFeatureStatus) | status
ownerExtension: |  | (NSString *) | ownerExtension
destination: |  | (NSString *) | destination
destinationShortForm: |  | (NSString *) | destinationShortForm
featureLabel: |  | (NSString *) | featureLabel
destinationExtensionEditable: |  | (BOOL) | isExtensionEditable
enhancedCallForwardingStatus: |  | (CSEnhancedCallForwardingStatus *) | enhancedCallForwardingStatus
callPickupFeatureStatus: |  | (CSCallPickupAlertParameters *) | callPickupFeatureStatus
huntGroupNumber: |  | (NSInteger) | huntGroupNumber
featureLabelEditable: |  | (BOOL) | featureLabelEditable
featureMode: |  | (CSFeatureMode) | featureMode

Constructs an CSFeatureStatusParameters object from the specified parameters.

Parameters

  buttonLocation | The index of the feature button.
  featureType | The feature type associated with this status.
  status | The feature status.
  ownerExtension | The owner extension this feature status is targeted for.
  destination | The destination extension associated with this feature.
  destinationShortForm | The short form of the destination extension.
  featureLabel | The label text of the feature.
  isExtensionEditable | YES if the destination extension is editable otherwise NO.
  enhancedCallForwardingStatus | The enhanced call forward status.
  callPickupFeatureStatus | For enhanced Call pickup alert, addiational ringer type, ringer pattern and caller and callee details.
  huntGroupNumber | The hunt group number associated with this feature.
  featureLabelEditable | YES if the feature label is editable otherwise NO
  featureMode | The feature mode associated with this status.

## Property Documentation

- (NSInteger) buttonLocation
| read nonatomic assign

This is the location of the feature button as configured on the server.

- (CSCallPickupAlertParameters*) callPickupFeatureStatus
| read nonatomic assign

For enhanced Call pickup alert, addiational ringer type, ringer pattern and caller and callee details.

- (NSString*) destination
| read nonatomic assign

The destination extension associated with this feature.

Populated with the value of the 'avaya-cm-destination' parameter if present in the status update.

- (NSString*) destinationLabel
| read nonatomic assign

This is the location of the feature button as configured on SMGR.

This is normally associated with Autodial feature buttons.

Deprecated:
  It is recommended to use featureLabel instead.

- (NSString*) destinationShortForm
| read nonatomic assign

This field will be populated only when received from the server.

This is the short form of the URI. It can be received in feature status update.

Eg: <feature-status entity="sip:14088640028\@svuca.com" version="1" state="full" avext="40028"> <feature name ="busy-indicator" status="off"/> </feature-status>

- (CSEnhancedCallForwardingStatus*) enhancedCallForwardingStatus
| read nonatomic assign

The Enhanced Call Forward status for the user's local extension, if any.

- (NSString*) featureLabel
| read nonatomic assign

This is the label associated with the feature.

- (BOOL) featureLabelEditable
| read nonatomic assign

This is the flag which indicates whether the feature label can be edited or not by the user.

- (CSFeatureMode) featureMode
| read nonatomic assign

The feature mode associated with this status.

- (CSFeatureType) featureType
| read nonatomic assign

The feature type associated with this status.

- (NSInteger) huntGroupNumber
| read nonatomic assign

This field gives the Hunt Group Number populated with value of "avaya-cm-group" parameter if present in feature status notify for hunt-group-busy-position feature.

For other features, this property will return 0.

- (BOOL) isDestinationExtensionEditable
| read nonatomic assign

This is the flag which indicates whether the destinationExtension can be edited or not by the user.

- (NSString*) ownerExtension
| read nonatomic assign

The owner extension this feature status is targeted for.

Populated only if different from the local user's extension.

- (CSFeatureStatus) status
| read nonatomic assign

The feature's status.

The documentation for this class was generated from the following file:

- CSFeatureStatusParameters.h